using System;

namespace Afgang
{

	public class Afgang {
		//Felter
		private string nr, destination;
		private Tid afgangstid, ankomsttid;
		//Konstruktr
		public Afgang(string nr, string destination, 
			          Tid afgangstid, Tid ankomsttid) {
			this.nr = nr;
			this.destination = destination;
			this.afgangstid = afgangstid;
			this.ankomsttid = ankomsttid;
		}
		//Properties
		public string Nr {
			get{return nr;}
			set{nr = value;}
		}
		public string Destination {
			get{return destination;}
			set{destination = value;}
		}
		public Tid Afgangstid {
			get{return afgangstid;}
			set{afgangstid = value;}
		}
		public Tid Ankomsttid {
			get{return ankomsttid;}
			set{ankomsttid = value;}
		}
		//Metoder
		public override string ToString() {
			return nr + " " + destination + 
				   " (afg. " + afgangstid + 
                   ", ank. " + ankomsttid + ")";
		}
	}
}
